Subject: Three macros in entry-armv.S

From: "Byung-SooKim" <[email-masked]>
Date: Thu, 24 Aug 2000 23:37:49 KST

Dear experts,

Thank you for the answers to my previous question.
I could succeed in my first device driver with devfs
support. (a simple ISA toy composed of several LEDs
and buttons) Thank you again !

Now I'm planning to port test6-rmk5 kernel to
KS17C4000 architecture. (ARM-based microcontroller
made by SAMSUNG)
While reading the source code, I found that
arch/arm/kernel/entry-armv.S provides three
assembly macros per each architecture :

.macro disable_fiq
.macro get_irqnr_and_base, irqnr, irqstat, base
.macro irq_prio_table

I would like to know :

1. why most architectures leave the disable_fiq empty.
(dummy macro) Can I just follow others and define my
disable_fiq to be an empty macro ?

2. how to compose irq_prio_table.

Forgive me if these are silly -or bothering- questions
to you experts.
I tried my best to find out some source of information
on these, but I couldn't.
Thank you.

   - Byungsoo

p.s. It looks quite strange to me that there exists
no official web site containing these kind of information.
:-(

==================================================
우리 인터넷, Daum
평생 쓰는 무료 E-mail 주소 한메일넷
지구촌 한글 검색서비스 Daum FIREBALL
http://www.daum.net

unsubscribe: body of `unsubscribe linux-arm-kernel' to [email-masked]